/**
 * Copyright (C) 2011 Ovea <dev@ovea.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ovea.resource.web.util;

public class ResourceException extends RuntimeException {
    private final Resource resource;

    public ResourceException(Resource resource, Throwable cause) {
        super("Resource " + resource + " error: " + cause.getMessage(), cause);
        this.resource = resource;
    }

    public ResourceException(Resource resource, String message, Throwable cause) {
        super("Resource " + resource + " error: " + message, cause);
        this.resource = resource;
    }


    public ResourceException(Resource resource, String message) {
        super("Resource " + resource + " error: " + message);
        this.resource = resource;
    }

    public Resource getResource() {
        return resource;
    }
}
